org.apache.jmeter.engine

## Class DistributedRunner

- java.lang.Object
- - org.apache.jmeter.engine.DistributedRunner

-     public class DistributedRunner
      extends java.lang.Object

  This class serves all responsibility of starting and stopping distributed tests. It was refactored from JMeter and RemoteStart classes to unify retry behavior.
  See Also:
    `JMeter`, `RemoteStart`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONTINUE_ON_FAIL`
    `static java.lang.String` | `RETRIES_DELAY`
    `static java.lang.String` | `RETRIES_NUMBER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedRunner()`
    `DistributedRunner(java.util.Properties props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JMeterEngine` | `createEngine(java.lang.String address)` A factory method that might be overridden for unit testing
    `void` | `exit(java.util.List<java.lang.String> addresses)`
    `java.util.Collection<? extends JMeterEngine>` | `getEngines()`
    `void` | `init(java.util.List<java.lang.String> addresses, HashTree tree)`
    `void` | `setStdErr(java.io.PrintStream stdErr)`
    `void` | `setStdout(java.io.PrintStream stdout)`
    `void` | `shutdown(java.util.List<java.lang.String> addresses)`
    `void` | `start()` Start all engines that were previously initiated
    `void` | `start(java.util.List<java.lang.String> addresses)` Starts a remote testing engines
    `void` | `stop()` Stop all engines that were previously initiated
    `void` | `stop(java.util.List<java.lang.String> addresses)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RETRIES_NUMBER

          public static final java.lang.String RETRIES_NUMBER

      See Also:
        Constant Field Values

    - #### RETRIES_DELAY

          public static final java.lang.String RETRIES_DELAY

      See Also:
        Constant Field Values

    - #### CONTINUE_ON_FAIL

          public static final java.lang.String CONTINUE_ON_FAIL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DistributedRunner

          public DistributedRunner()

    - #### DistributedRunner

          public DistributedRunner(java.util.Properties props)

  - ### Method Detail

    - #### init

          public void init(java.util.List<java.lang.String> addresses,
                           HashTree tree)

    - #### start

          public void start(java.util.List<java.lang.String> addresses)

      Starts a remote testing engines
      Parameters:
        `addresses` - list of the DNS names or IP addresses of the remote testing engines

    - #### start

          public void start()

      Start all engines that were previously initiated

    - #### stop

          public void stop(java.util.List<java.lang.String> addresses)

    - #### stop

          public void stop()

      Stop all engines that were previously initiated

    - #### shutdown

          public void shutdown(java.util.List<java.lang.String> addresses)

    - #### exit

          public void exit(java.util.List<java.lang.String> addresses)

    - #### createEngine

          protected JMeterEngine createEngine(java.lang.String address)
                                       throws java.rmi.RemoteException,
                                              java.rmi.NotBoundException

      A factory method that might be overridden for unit testing
      Parameters:
        `address` - address for engine
      Returns:
        engine instance
      Throws:
        `java.rmi.RemoteException` - if registry can't be contacted
        `java.rmi.NotBoundException` - when name for address can't be found

    - #### setStdout

          public void setStdout(java.io.PrintStream stdout)

    - #### setStdErr

          public void setStdErr(java.io.PrintStream stdErr)

    - #### getEngines

          public java.util.Collection<? extends JMeterEngine> getEngines()

      Returns:
        `Collection` of `JMeterEngine`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.